Get the time spent on an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/time-spents

Get the time spent entries of the tasks of an entity. Clients cannot use this route.

Path parameters

  • entity_id string(uuid) Required

    Unique identifier of the entity

Responses

  • 200 application/json

    The list of time spent entries

    Hide response attributes Show response attributes object
    • id string(uuid)

      Time spent unique identifier

    • duration number(float)

      Time duration in hours

    • date string(date)

      Date when time was spent

    • created_at string(date-time)

      Creation timestamp

    • person_id string(uuid)

      Person identifier who spent the time

    • entity_id string(uuid)

      Entity identifier

  • 403

    You are a client, or you do not have access to this entity

  • 404

    The entity does not exist

GET /data/entities/{entity_id}/time-spents
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/time-spents" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/time-spents"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "duration": 2.5,
    "date": "2023-12-07",
    "created_at": "2023-01-01T12:00:00Z",
    "person_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "entity_id": "c46c80c6-e097-6887-c292-79675204e470"
  }
]